Scala Compiler2.12.2-20170504-135222-21d12e9 < Back
 

# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package transform
  Definition Classes
    nsc
-  package patmat
  Definition Classes
    transform
-  trait MatchTranslation extends AnyRef

  Translate typed Trees that represent pattern matches into the patternmatching IR, defined by TreeMakers.

  Translate typed Trees that represent pattern matches into the patternmatching IR, defined by TreeMakers.

  Definition Classes
    patmat
-  trait MatchTranslator extends PatternMatching.TreeMakers with PatternMatching.TreeMakerWarnings
  Definition Classes
    MatchTranslation
- AbsCodegen
- AlternativesTreeMaker
- BodyTreeMaker
- BoundTree
- Casegen
- CommonCodegen
- CondTreeMaker
- EmptySubstitution
- EqualityTestTreeMaker
- ExtractorCall
- ExtractorCallProd
- ExtractorCallRegular
- ExtractorTreeMaker
- FunTreeMaker
- GuardTreeMaker
- IrrefutableExtractorTreeMaker
- NoNewBinders
- PatternBoundToUnderscore
- PreserveSubPatBinders
- ProductExtractorTreeMaker
- SubstOnlyTreeMaker
- Substitution
- SymbolBound
- TranslationStep
- TreeMaker
- TrivialTreeMaker
- TypeTestTreeMaker
- WildcardPattern

c

scala.tools.nsc.transform.patmat.MatchTranslation.MatchTranslator

# ExtractorCallRegular 

###

#### class ExtractorCallRegular extends ExtractorCall

Source
  MatchTranslation.scala

Linear Supertypes
ExtractorCall, AnyRef, Any
Type Hierarchy
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ExtractorCallRegular
2. ExtractorCall
3. AnyRef
4. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new ExtractorCallRegular(aligner: PatternMatching.PatternAligned, extractorCallIncludingDummy: Global.Tree, args: List[Global.Tree])

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from ExtractorCallRegular to any2stringadd[ExtractorCallRegular] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (ExtractorCallRegular, B)
   Implicit
     This member is added by an implicit conversion from ExtractorCallRegular to ArrowAssoc[ExtractorCallRegular] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  val aligner: PatternMatching.PatternAligned
   Definition Classes
     ExtractorCall
7.  val args: List[Global.Tree]
   Definition Classes
     ExtractorCallRegular → ExtractorCall
8.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
9.  def checkedLength: Option[Int]
   Definition Classes
     ExtractorCall
10.  def clone(): AnyRef
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
11.  def ensuring(cond: (ExtractorCallRegular) ⇒ Boolean, msg: ⇒ Any): ExtractorCallRegular
    Implicit
      This member is added by an implicit conversion from ExtractorCallRegular to Ensuring[ExtractorCallRegular] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
12.  def ensuring(cond: (ExtractorCallRegular) ⇒ Boolean): ExtractorCallRegular
    Implicit
      This member is added by an implicit conversion from ExtractorCallRegular to Ensuring[ExtractorCallRegular] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
13.  def ensuring(cond: Boolean, msg: ⇒ Any): ExtractorCallRegular
    Implicit
      This member is added by an implicit conversion from ExtractorCallRegular to Ensuring[ExtractorCallRegular] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
14.  def ensuring(cond: Boolean): ExtractorCallRegular
    Implicit
      This member is added by an implicit conversion from ExtractorCallRegular to Ensuring[ExtractorCallRegular] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
15.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
16.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
17.  def expectedLength: Int
    Attributes
      protected
    Definition Classes
      ExtractorCall
18.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
19.  def firstIndexingBinder: Int
    Attributes
      protected
    Definition Classes
      ExtractorCall
20.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from ExtractorCallRegular to StringFormat[ExtractorCallRegular] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
21.  val fun: Global.Tree
    Definition Classes
      ExtractorCallRegular → ExtractorCall
22.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
23.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
24.  lazy val ignoredSubPatBinders: Set[Global.Symbol]
    Definition Classes
      ExtractorCall
25.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
26.  def lastIndexingBinder: Int
    Attributes
      protected
    Definition Classes
      ExtractorCall
27.  def lengthGuard(binder: Global.Symbol): Option[Global.Tree]
    Attributes
      protected
    Definition Classes
      ExtractorCall
28.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
29.  final def notify(): Unit
    Definition Classes
      AnyRef
30.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
31.  def rawSubPatTypes: collection.immutable.List[Global.Type]
    Definition Classes
      ExtractorCallRegular → ExtractorCall
32.  def resultInMonad: Global.Type
    Definition Classes
      ExtractorCall
33.  def resultType: Global.Type
    Definition Classes
      ExtractorCall
34.  def seqTree(binder: Global.Symbol): Global.Tree
    Attributes
      protected
    Definition Classes
      ExtractorCallRegular → ExtractorCall
35.  def spliceApply(binder: Global.Symbol): Global.Tree
    Attributes
      protected
36.  lazy val subBoundTrees: collection.immutable.List[BoundTree]
    Definition Classes
      ExtractorCall
37.  def subPatBinders: collection.immutable.List[Global.Symbol]
    Definition Classes
      ExtractorCall
38.  def subPatRefs(binder: Global.Symbol): List[Global.Tree]
    Attributes
      protected
    Definition Classes
      ExtractorCallRegular → ExtractorCall
39.  def subPatRefsSeq(binder: Global.Symbol): List[Global.Tree]
    Attributes
      protected
    Definition Classes
      ExtractorCall
40.  def subPatTypes: List[Global.Type]
    Definition Classes
      ExtractorCall
41.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
42.  def toString(): String
    Definition Classes
      AnyRef → Any
43.  def treeMaker(patBinderOrCasted: Global.Symbol, binderKnownNonNull: Boolean, pos: Global.Position): MatchTranslator.TreeMaker

    Create the TreeMaker that embodies this extractor call

    Create the TreeMaker that embodies this extractor call

    `binder` has been casted to `paramType` if necessary `binderKnownNonNull` is not used in this subclass

    TODO: implement review feedback by @retronym: Passing the pair of values around suggests: case class Binder(sym: Symbol, knownNotNull: Boolean). Perhaps it hasn't reached critical mass, but it would already clean things up a touch.

    Definition Classes
      ExtractorCallRegular → ExtractorCall
44.  def tupleSel(binder: Global.Symbol)(i: Int): Global.Tree
    Attributes
      protected
    Definition Classes
      ExtractorCall
45.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
46.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
47.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
48.  def →[B](y: B): (ExtractorCallRegular, B)
    Implicit
      This member is added by an implicit conversion from ExtractorCallRegular to ArrowAssoc[ExtractorCallRegular] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from ExtractorCall

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from ExtractorCallRegular to any2stringadd[ExtractorCallRegular]

### Inherited by implicit conversion StringFormat from ExtractorCallRegular to StringFormat[ExtractorCallRegular]

### Inherited by implicit conversion Ensuring from ExtractorCallRegular to Ensuring[ExtractorCallRegular]

### Inherited by implicit conversion ArrowAssoc from ExtractorCallRegular to ArrowAssoc[ExtractorCallRegular]

### Ungrouped